Subject: bug#43532: [feature/native-comp] *.eln file name hashing, algorithm doesn't seem to play nice with NATIVE_FULL_AOT and self-contained, Emacs.app builds for macOS

From: Andrea Corallo <[email-masked]>
Date: Tue, 29 Sep 2020 18:46:57 +0000

Aloxaf <[email-masked]> writes:

> Hello,
>
> Sorry for disturbing you. In fact, this bug not only affects macOS. I am an Arch Linux user and install native-comp
> branch by AUR package emacs-native-comp-git (https://aur.archlinux.org/packages/emacs-native-comp-git/). It will build
> and install the whole package in a temporary directory and then pack the directory to a standalone package. So I also
> suffer from this bug.
>
> For example, in my computer, the package will be built in $srcdir ( /tmp/makepkg/emacs-native-comp-git/src ), and will be
> installed to $pkgdir ( /tmp/makepkg/emacs-native-comp-git/pkg/emacs-native-comp-git ). Then the whole $pkgdir will be
> packed into a package.
>
> You can find more information here: https://wiki.archlinux.org/index.php/Creating_packages#package()
>
> Thanks,

Hi Aloxaf,

no disturb I see.

I think I should be able to rework it for a sulution that is not MacOS
specific but generic.  I'll come up with a patch.

Thanks

  Andrea